Create page
POST
/status-pages
Authentication
Bearer Token (hu_api_key)
Request Body required
application/jsonname
string
REQUIRED
slug
string
REQUIRED
template
string
REQUIRED
Enum:
minimal, brand, terminal, modern, clean, developerbrand_color
string
REQUIRED
Responses
201
Status page created
No response body
409
Slug conflict
curl -X POST 'https://happyuptime.com/api/v1/status-pages' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "slug": "string", "template": "minimal", "brand_color": "#2563eb"}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "slug": "string", "template": "minimal", "brand_color": "#2563eb" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/status-pages', headers=headers, json={ "name": "string", "slug": "string", "template": "minimal", "brand_color": "#2563eb"})print(response.json())
409
Response
{ "error": { "code": "not_found", "message": "Monitor not found", "status": 404 }}
API Playground
Try this endpoint
POST
/status-pages